loader.define(function(requires,exports,module,global){

    // 合并接收默认参数
    let props = $.extend(true, {
        image:"images/applogo.png",
        title:"BUI",
        onclick:null
    }, module.props);

    // 初始化数据行为存储
    var bs = bui.store({
        el: `#${module.id}`,
        scope: "projectionlogo",
        data: {
            image: props.image, 
            title: props.title 
        },
        methods: {
            click(e){
                props.onclick && props.onclick(e);
            }
        },
        mounted: function(){
            // 数据解析后执行
        }
    })

    return bs;
})